Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicComboBoxUI.ItemHandler

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicComboBoxUI.ItemHandler

All Implemented Interfaces:
  EventListener, ItemListener

Enclosing class:
  BasicComboBoxUI

public class BasicComboBoxUI.ItemHandler
extends Object
implements ItemListener

This listener watches for changes to the selection in the combo box and updates the display of the currently selected item. This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of .

Constructor Summary
`BasicComboBoxUI.ItemHandler()`

Method Summary
`void` | `itemStateChanged(ItemEvent e)` Invoked when an item has been selected or deselected.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicComboBoxUI.ItemHandler

    public BasicComboBoxUI.ItemHandler()

Method Detail

### itemStateChanged

    public void itemStateChanged(ItemEvent e)

  Description copied from interface: `ItemListener`
  Invoked when an item has been selected or deselected. The code written for this method performs the operations that need to occur when an item is selected (or deselected).
  Specified by:
    `itemStateChanged` in interface `ItemListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.